Page MenuHomePhabricator

Replace usage of jquery.tipsy with OOUI PopupWidgets
Closed, ResolvedPublic

Description

We should probably replace usage of jquery.tipsy with OOUI PopupWidgets.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterRemove dependency on jquery.tipsy
mediawiki/extensions/UploadWizard : masterUse FieldLayout's 'help' popups rather than jquery.tipsy hints where possible

Related Objects

Event Timeline

matmarex created this task.Oct 15 2015, 6:20 PM
matmarex raised the priority of this task from to Low.
matmarex updated the task description. (Show Details)
matmarex added a project: UploadWizard.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 15 2015, 6:20 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 15 2015, 6:20 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 6:33 PM

Change 253629 had a related patch set uploaded (by Bartosz Dziewoński):
Use FieldLayout's 'help' popups rather than jquery.tipsy hints where possible

https://gerrit.wikimedia.org/r/253629

Change 253629 merged by jenkins-bot:
Use FieldLayout's 'help' popups rather than jquery.tipsy hints where possible

https://gerrit.wikimedia.org/r/253629

Change 254869 had a related patch set uploaded (by Bartosz Dziewoński):
Remove dependency on jquery.tipsy

https://gerrit.wikimedia.org/r/254869

matmarex raised the priority of this task from Low to High.Nov 23 2015, 3:22 PM

Change 254869 merged by jenkins-bot:
Remove dependency on jquery.tipsy

https://gerrit.wikimedia.org/r/254869

matmarex closed this task as Resolved.Nov 23 2015, 5:32 PM

Is there a documentation for it somewhere?

Tipsy is also used in gadgets and they haven't been switched to OOUI PW (which sort of means this task should remain open?).

I can switch those gadgets I have an access to, I just need the docs for it, however, some global cleanup should be done too.

https://www.mediawiki.org/wiki/OOjs_UI/Widgets/Buttons_and_Switches#Popup_buttons

This task was just about UploadWizard, by the way, we're still using Tipsy elsewhere :/ T117720

Fito added a subscriber: Fito.Jan 18 2017, 1:40 PM
Fito removed a subscriber: Fito.
Alfa80 added a subscriber: Alfa80.Apr 4 2018, 7:05 PM